cascading.flow.planner.rule.transformer

## Class RuleReplaceTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer
    - - cascading.flow.planner.rule.transformer.RuleReplaceTransformer

- All Implemented Interfaces:
    Rule
  Direct Known Subclasses:
    CombineAdjacentTapTransformer

      public class RuleReplaceTransformer
      extends RuleTransformer

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.RuleTransformer

      `contractedTransformer, graphTransformer, ruleExpression, subGraphTransformer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleReplaceTransformer(PlanPhase phase, RuleExpression ruleExpression)`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleTransformer

      `getRuleName, getRulePhase, performTransform, toString, transform`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

      `transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleReplaceTransformer

          public RuleReplaceTransformer(PlanPhase phase,
                                RuleExpression ruleExpression)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.